Document collaboration

Read the next page of replies

GET
/v1/documents/{documentId}/threads/{threadId}/comments

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Path Parameters

documentId*string

The documentId.

threadId*string

The threadId.

Query Parameters

cursor?string

Opaque cursor returned by the preceding page.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/documents/string/threads/string/comments"
{  "comments": [    {      "id": "string",      "threadId": "string",      "author": {        "userId": "string",        "name": "string",        "kind": "member"      },      "body": {        "markdown": "string",        "mentions": []      },      "state": "PUBLISHED",      "version": 0,      "createdAt": "string",      "editedAt": "string",      "canEdit": true,      "canDelete": true,      "canModerate": true    }  ],  "nextCursor": "string"}